VisualEditor: Matching pages list in link dialog should support right-click / ctrl+click to open page in a new window/tab
Closed, ResolvedPublic

Description

A few users at itwp requested that the list of articles you can choose as a wikilink target supports right-click on each title to view the page in another tab; and that disambiguation pages in the same list appear differently (maybe italicized as it currently happens in MediaWiki special pages?) Thanks!


Version: unspecified
Severity: enhancement

Elitre created this task.Via LegacyJul 11 2013, 10:09 PM
Thryduulf added a comment.Via ConduitAug 5 2013, 12:38 PM

You can use right click or ctrl+click on the links once inserted into the page, but per Bug 48915 this currently leads to the wrong namespace for links other than those to and from the article namespace.

Thryduulf added a comment.Via ConduitSep 9 2013, 12:03 PM

Bug 50240 asks for disambiguation pages to be distinguished in the list, so I'm retitling this one to focus on being able to open the targets with ctrl+click/right click. A user at en.wp has requested this functionality as well.

Catrope added a comment.Via ConduitNov 3 2014, 10:37 PM

Both this and bug 50646 should be fixed by making the link suggestions real links, i.e. real <a> tags whose hrefs point to the pages they're suggesting.

To do that, you'd need MWLinkTargetInputWidget to use a specialized subclass of MenuItemWidget; right now it creates plain MenuItemWidgets. Eventually that specialized subclass could be enriched to contain an image and a description etc., per the new designs for the link inspector. We could also use this new widget in MWTitleInputWidget.

Catrope added a comment.Via ConduitNov 5 2014, 10:28 PM

(In reply to Roan Kattouw from comment #3)

Both this and bug 50646

Forget about bug 50646, my mistake, that one was about links in a different context. Comment #3 is still valid for this bug though.

gerritbot added a comment.Via ConduitNov 6 2014, 1:24 AM

Change 171488 had a related patch set uploaded by SuchetaG:
Matching pages from suggestions in link dialog now actually work as links

https://gerrit.wikimedia.org/r/171488

gerritbot added a comment.Via ConduitNov 6 2014, 9:49 PM

Change 171488 merged by jenkins-bot:
Matching pages from suggestions in link dialog now actually work as links

https://gerrit.wikimedia.org/r/171488

Etonkovidova added a comment.Via ConduitNov 7 2014, 10:31 PM

The fix is verified in betalabs(beware of a difference between Link and Simple link!). The fix applies to the Link.

Etonkovidova added a comment.Via ConduitNov 19 2014, 9:50 PM

Verified the fix in test2 and production.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.